<%@ Page language="c#" AutoEventWireup="false" Trace="false" Debug="false" %>
<%@Import Namespace="System.Drawing" %>
<%@Import Namespace="System.IO" %>
<%@Import Namespace="System.Drawing.Imaging" %>
<%@Import Namespace="J4L.RChart" %>
<%@ OutputCache Duration="100" VaryByParam="none" %>
<%
// define variable
ChartLoader chartLoader= new ChartLoader();
String paramFile="piechart.txt";
 
if (Request.Params.Count>0)
	if (Request.Params.Get("DATA")!=null) paramFile=Request.Params.Get("DATA");

// set chart parameters
chartLoader.loadFromFile(paramFile,true);

// create chart
Chart chart=chartLoader.buildChart();
chart.setSize(400,400);

// create in memory image
Bitmap inMemoryImage = new Bitmap( chart.getSize().Width,chart.getSize().Height);
Graphics g = Graphics.FromImage(inMemoryImage);
// paint chart
chart.paint(g);


MemoryStream tempStream = new MemoryStream();

// output image to the memory stream in gif format
inMemoryImage.Save(tempStream,ImageFormat.Gif);

Response.ClearContent();
Response.Cache.SetCacheability(HttpCacheability.NoCache);
Response.ContentType = "image/gif";
Response.BinaryWrite(tempStream.ToArray());
Response.End();
%>
